Status: Open
Assignee:

Category: GUI

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29021

Description

Running QGis 3.4.4, in a Windows 8.1 setup in Spanish, with Spanish es-es keyboard (Qwerty with '[' being alt-gr+'`' and ']' alt-gr+'+'), I

can properly type '[' (alt-gr+'`') but nothing happens when I try to type ']' (alt-gr+'+').

This happens in Python Console (quite annoying actually), on Python Console's text editor or when changing a layer's name (right-click on

the layer tree view on bottom left of the screen), but it works properly on dialogs shown in independent windows (i.e. open file dialog/save

as...).

Related issues:

Duplicated by QGIS Application - Bug report # 21001: Unable to write characte... Closed 2019-01-15

Duplicated by QGIS Application - Bug report # 21985: Impossible to type the r... Closed 2019-05-03

History

#1 - 2019-02-09 01:37 AM - Andrea Giudiceandrea

- Subject changed from ']' keyboard (alt-gr + '+' ) not working on QGis 3.4.4 with Spanish keyboard - Windows 8.1 to ']' keyboard (alt-gr + '+' ) not 

working on QGis 3.4.4 with Spanish or Italian keyboard - Windows

- Operating System changed from Windows 8.1 to Windows

Javier Becerra Elcinto wrote:

Running QGis 3.4.4, in a Windows 8.1 setup in Spanish, with Spanish es-es keyboard

It also happens with QGIS 3.4 and master (3.5 7f3640d8a1) on Windows 7 64 bit using an Italian keyboard.

This happens in Python Console (quite annoying actually), on Python Console's text editor or when changing a layer's name

and in the "feature attributes pop-up window" (the window that appears after a new feature is created) too.

It seems the problem is that in the main QGIS window the shortcut "Ctrl+Alt++" is assigned to the "Zoom in" tool and that "AltGr" key is emulated by

"Ctrl+Alt" key combination (at least on Windows).

So, for keyboards in which "]" = "AltGr++", like Spanish and Italian ones, the "Zoom in" tool is selected instead of typing the "]" character when "AltGr++"

key combination is pressed.

You can "set to none" (or to another key combination) the shortcut of the "Zoom in" tool (from Settings | Keyboard Shortcuts...) as a workaround.

#2 - 2019-02-11 08:36 AM - Javier Becerra Elcinto
Thanks Andrea!

I can confirm that removing 'Zoom In' ('Configuración'->'Atajos de teclado...->'Acercar zoom' in Spanish version) keyboard shortcut gets the ']' symbol

back!

#3 - 2019-02-11 06:12 PM - Giovanni Manghi

- Related to Bug report #21001: Unable to write character " ] " in Python window added

#4 - 2019-03-09 10:53 AM - Giovanni Manghi

- Related to deleted (Bug report #21001: Unable to write character " ] " in Python window)

#5 - 2019-03-09 10:53 AM - Giovanni Manghi

- Duplicated by Bug report #21001: Unable to write character " ] " in Python window added

#6 - 2019-05-04 09:37 AM - Giovanni Manghi

- Duplicated by Bug report #21985: Impossible to type the right brace character in the python console added
